import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import { StyledButton } from './styles';
export const Product = forwardRef((props, ref) => {
    const { logo: Logo, name, variant = 'text', ...restProps } = props;
    return (_jsx(StyledButton, { ref: ref, ...restProps, variant: variant, startIcon: _jsx(Logo, {}), children: name }));
});
export default Product;
